import i18n from "i18next";
import { initReactI18next } from "react-i18next";
import I18nextBrowserLanguageDetector from "i18next-browser-languagedetector";

const resources = {
    en: {
        translation: require('../translations/en.yaml'),
    },
    pl: {
        translation: require('../translations/pl.yaml'),
    }
}

i18n
    .use(I18nextBrowserLanguageDetector)
    .use(initReactI18next)
    .init({
        resources,
        fallbackLng: "en",
        debug: true,
        interpolation: {
            escapeValue: false
        }
    })

export default i18n;
